# Get-RASPubItemIcon

<br>

### DESCRIPTION

Save the published resource icon to a specified directory.\
\
Get-RASPubItemIcon command returns the full path (with filename) of the saved published resource icon.\
\
If HD icon data is available, the icon is saved with 2 resolutions (standard and HD). Otherwise, only the standard resolution is saved.\ <br>

### PARAMETERS

\
-**Id \<uint>**\
Published resource ID.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DirPath \<string>**\
The target directory where to save the published resource icon file.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Format <**[**IconFormat**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/IconFormat.html)**>**\
The file format of the requested icon.\
\
Possible values: ICO, PNG\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                ICO
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**IconSize <**[**IconSizes**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/IconSizes.html)**>**\
The requested icon size.\
\
ICO format can support both sizes at same time.\
\
PNG format supports either Normal or High definition.\
\
Possible values: Normal, HighDefinition\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[RASFiles](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASFiles.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASPubItemIcon -Id 11 -DirPath "C:\\\MyIcons\\\\"\
\
Saves the icon of a published resource specified by ID.\
\
Directory path specified in -DirPath must exist.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-raspubitemicon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
